function [tt_out,p_est]=get_tt(phase,delt_wish,z_wish)
% call : [tt_wish,p_est]=get_tt(phase,delt_wish,z_wish)
% function to call locsat phase tables and interpolate traveltimes (cubic spline) 
% p is estimated from simple numerical derivative
str=['load ',phase,'.mat']; %depths, deg and tt!
eval(str);

for i=1:length(delt_wish)
    clear delts tt_wish
    delts=[delt_wish(i),delt_wish(i)+1e-5,delt_wish(i)-1e-5];
    zs=[z_wish(i),z_wish(i),z_wish(i)];
    if length(depths)<3
         tt_wish = interp2(depths',deg,tt,zs,delts,'spline');
     else
        tt_wish = interp2(depths',deg,tt,zs,delts,'cubic');
    end
    p_est(i)=(tt_wish(2)-tt_wish(3))*0.5e+5;
    tt_out(i)=tt_wish(1);
end
tt_out=tt_out(:);
p_est=p_est(:);